Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.enc
Class XEKeyInfo

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.dsig.XSKeyInfo
oracle.security.xmlsec.enc.XEKeyInfo`

All Implemented Interfaces:
  Referable

public class XEKeyInfo
extends XSKeyInfo

An XML-DSIG KeyInfo element extended to support the child types defined in XML Encryption.

See Also:
  `XEEncryptedKey`, `AgreementMethod`, `KeyInfoData`

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`XEKeyInfo(org.w3c.dom.Document owner)` Creates a new `XEKeyInfo` instance.
`XEKeyInfo(org.w3c.dom.Document owner, java.lang.String id)` Creates a new `XEKeyInfo` instance.
`XEKeyInfo(org.w3c.dom.Element element)` Creates a new `XEKeyInfo` instance from the given Element node.
`XEKeyInfo(org.w3c.dom.Element element, java.lang.String systemId)` Creates a new `XEKeyInfo` instance from the given Element node.

Method Summary
`DHAgreementMethod` | `createDHAgreementMethod()` Create a new `DHAgreementMethod` instance.
`XEEncryptedKey` | `createEncryptedKey()` Create a new `XEEncryptedKey` instance.
`XEEncryptedKey` | `createEncryptedKey(java.lang.String id)` Create a new `XEEncryptedKey` instance with the given ID.
`java.util.Vector` | `getAgreementMethods()` Get the AgreementMethod instances whose underlining elements are children of this KeyInfo element.
`java.util.Vector` | `getEncryptedKeys()` Returns the XEEncryptedKey instances whose EncryptedKey elements are children of this ds:KeyInfo element.

Methods inherited from class oracle.security.xmlsec.dsig.XSKeyInfo
`addKeyInfoData, createKeyName, createKeyValue, createKeyValue, createMgmtData, createMgmtData, createPGPData, createRetrievalMethod, createRetrievalMethod, createSPKIData, createSPKIData, createX509Data, createX509Data, getId, getKeyInfoData, getKeyNames, getKeyValues, getMgmtData, getPGPData, getRetrievalMethods, getSPKIData, getType, getX509Data, setId`

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XEKeyInfo

    public XEKeyInfo(org.w3c.dom.Element element)
              throws org.w3c.dom.DOMException

  Creates a new `XEKeyInfo` instance from the given Element node.
Parameters:
  `element` - An XML-DSig KeyInfo element

### XEKeyInfo

    public XEKeyInfo(org.w3c.dom.Element element,
                     java.lang.String systemId)
              throws org.w3c.dom.DOMException

  Creates a new `XEKeyInfo` instance from the given Element node.
Parameters:
  `element` - An XML-DSig KeyInfo element
  `systemId` - The URI string system ID for this element.
Since:
  2.0
See Also:
  `XMLNode.setSystemId(java.lang.String)`

### XEKeyInfo

    public XEKeyInfo(org.w3c.dom.Document owner)
              throws org.w3c.dom.DOMException

  Creates a new `XEKeyInfo` instance.
Parameters:
  `owner` - The owner document of the new `XEKeyInfo`.

### XEKeyInfo

    public XEKeyInfo(org.w3c.dom.Document owner,
                     java.lang.String id)
              throws org.w3c.dom.DOMException

  Creates a new `XEKeyInfo` instance.
Parameters:
  `owner` - The owner document of the new `XEKeyInfo`.
  `id` - An optional string ID name for this XEKeyInfo structure.

Method Detail

### createEncryptedKey

    public XEEncryptedKey createEncryptedKey()
                                      throws org.w3c.dom.DOMException

  Create a new `XEEncryptedKey` instance. To append this new `XEEncryptedKey` to a `KeyInfo` structure, use the method `XSKeyInfo.addKeyInfoData(XMLElement)`.
  Returns:
    An `XEEncryptedKey` object.
  Throws:
    `org.w3c.dom.DOMException`

### createEncryptedKey

    public XEEncryptedKey createEncryptedKey(java.lang.String id)
                                      throws org.w3c.dom.DOMException

  Create a new `XEEncryptedKey` instance with the given ID. To append this new `XEEncryptedKey` to a `KeyInfo` structure, use the method `XSKeyInfo.addKeyInfoData(XMLElement)`.
  Parameters:
    `id` - An optional Id string for the EncryptedKey element.
  Returns:
    An `XEEncryptedKey` object.
  Throws:
    `org.w3c.dom.DOMException`

### createDHAgreementMethod

    public DHAgreementMethod createDHAgreementMethod()
                                              throws org.w3c.dom.DOMException

  Create a new `DHAgreementMethod` instance. To append this new `XEEncryptedKey` to a `KeyInfo` structure, use the method `XSKeyInfo.addKeyInfoData(XMLElement)`.
  Returns:
    An `DHAgreementMethod` object.
  Throws:
    `org.w3c.dom.DOMException`

### getEncryptedKeys

    public java.util.Vector getEncryptedKeys()

  Returns the XEEncryptedKey instances whose EncryptedKey elements are children of this ds:KeyInfo element.
  Returns:
    A `Vector` of `XEEncryptedKey` instances.

### getAgreementMethods

    public java.util.Vector getAgreementMethods()

  Get the AgreementMethod instances whose underlining elements are children of this KeyInfo element.
  Returns:
    A `Vector` of `AgreementMethod` instances.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.